Package org.kapott.hbci.passport

## Interface HBCIPassportChipcard

All Superinterfaces:
  `HBCIPassport`

All Known Implementing Classes:
  `AbstractDDVPassport`, `HBCIPassportDDV`, `HBCIPassportDDVPCSC`, `HBCIPassportRSA`

    public interface HBCIPassportChipcard
    extends HBCIPassport

Gemeinsames Interface fuer chipkarten-basiere Passports. Derzeit sind das HBCIPassportDDV, HBCIPassportDDVPCSC und HBCIPassportRSA.

### Field Summary

### Fields inherited from interface org.kapott.hbci.passport.HBCIPassport

`ROLE_CON, ROLE_ISS, ROLE_WIT`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getFileName()` Gibt den Dateinamen für die zusätzliche Schlüsseldatei zurück.
`void` `saveBankData()` Schreiben der aktuellen Zugangsdaten auf die Chipkarte.
`void` `setFileName​(java.lang.String filename)` Legt den Dateinamen fuer die zusaetzliche Schluesseldatei fest.

### Methods inherited from interface org.kapott.hbci.passport.HBCIPassport

`changePassphrase, clearBPD, clearInstEncKey, clearInstSigKey, clearUPD, close, fillAccountInfo, getAccount, getAccounts, getBLZ, getBPD, getBPDVersion, getClientData, getCountry, getCustomerId, getCustomerId, getDefaultLang, getFilterType, getHBCIVersion, getHost, getInstEncKey, getInstName, getInstSigKey, getMaxGVperMsg, getMaxMsgSizeKB, getMyPrivateDigKey, getMyPrivateEncKey, getMyPrivateSigKey, getMyPublicDigKey, getMyPublicEncKey, getMyPublicSigKey, getPort, getSuppCompMethods, getSuppLangs, getSuppSecMethods, getSuppVersions, getUPD, getUPDVersion, getUserId, hasInstEncKey, hasInstSigKey, hasMyEncKey, hasMySigKey, isSupported, needInstKeys, needUserKeys, onlyBPDGVs, saveChanges, setBLZ, setClientData, setCountry, setCustomerId, setFilterType, setHost, setPort, setUserId, syncSigId, syncSysId`

### Method Detail

#### saveBankData

    void saveBankData()

Schreiben der aktuellen Zugangsdaten auf die Chipkarte. Werden Zugangsdaten des Passport verändert (z.B. mit `HBCIPassport.setHost(String)`, so werden diese Daten durch die Methode `HBCIPassport.saveChanges()` nicht auf der Chipkarte gespeichert. Durch Aufruf dieser Methode wird das Schreiben der aktuellen Zugangsdaten erzwungen. Zu den hiervon betroffenen Daten zählen der Ländercode der Bank, die Bankleitzahl, die Hostadresse des HBCI-Servers sowie die User-ID zur Anmeldung am HBCI-Server.

#### getFileName

    java.lang.String getFileName()

Gibt den Dateinamen für die zusätzliche Schlüsseldatei zurück. Diese Datei enthält gecachte Daten, um das Initialisieren eines `HBCIHandler` mit einem DDV-Passport zu beschleunigen. Defaultmäßig setzt sich der Dateiname aus einem definiertbaren Prefix (Pfad) und der Seriennummer der Chipkarte zusammen. Da diese Datei vertrauliche Daten enthält (z.B. die Kontodaten des Bankkunden), wird diese Datei verschlüsselt. Vor dem erstmaligen Lesen bzw. beim Erzeugen dieser Datei wird deshalb via Callback-Mechanismus nach einem Passwort gefragt, das zur Erzeugung des kryptografischen Schlüssels für die Verschlüsselung benutzt wird.

Returns:
  Dateiname der Cache-Datei

#### setFileName

    void setFileName​(java.lang.String filename)

Legt den Dateinamen fuer die zusaetzliche Schluesseldatei fest.

Parameters:
  `filename` -